2018-09-22 09:09 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001958NetSurf[All Projects] Generalpublic2018-08-29 14:58
ReporterSourceforge Import placeholder 
Assigned To 
SeverityfeatureReproducibilityN/A 
StatusclosedResolutionfixed 
Product Version 
Target Version3.8Fixed in Version3.8 
Summary0001958: back button to remember starting position
DescriptionProblem:

Having followed a link from near to the bottom of page_a, to page_b,
when using the 'back' button to return to page_a, the position on page_a is not remembered. eg:

On page file:///<NetSurf$Dir>/Docs/docs_en click on the
'Development√ā¬†Progress' link near the bottom of the page, which leads to file:///<NetSurf$Dir>/Docs/progress_en

Now clicking on the 'back' button returns to the top of page
file:///<NetSurf$Dir>/Docs/docs_en , not the starting point near the
bottom of the page.

Suggestion:

When following a link, NetSurf should remember the position of the link
on the page, and should return to that position, via the 'back' button.

Tony
Additional Informationcjt02 added a note on Wed Sep 13 23:04:49 2006

Logged In: YES
user_id=1397835

I'd like to second this.

Imported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=1486890 on Tue Dec 10 17:34:13 2013

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001819

Vincent Sanders (administrator)

Thank you for your report, this has been resolved in the 3.8 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-23 14:23 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-23 14:23 Vincent Sanders Reproducibility have not tried => N/A
2013-12-23 14:23 Vincent Sanders Status assigned => acknowledged
2013-12-23 14:23 Vincent Sanders Resolution no change required => open
2013-12-23 14:23 Vincent Sanders Description Updated View Revisions
2013-12-23 14:23 Vincent Sanders Additional Information Updated View Revisions
2018-04-21 10:37 Daniel Silverstone Status acknowledged => resolved
2018-04-21 10:37 Daniel Silverstone Resolution open => fixed
2018-04-21 10:37 Daniel Silverstone Fixed in Version => 3.8
2018-08-28 11:42 Vincent Sanders Target Version => 3.8
2018-08-29 14:58 Vincent Sanders Status resolved => closed
2018-08-29 14:58 Vincent Sanders Note Added: 0001819
+Issue History